Skip to main content
PATCH
/
v3
/
products
/
{product_id}
/
knowledge-items
/
{id}
Update a product knowledge item
curl --request PATCH \
  --url https://api.myscalev.com/v3/products/{product_id}/knowledge-items/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "a": "<string>",
  "q": "<string>",
  "position": 123
}
'
{
  "a": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inserted_at": "2023-11-07T05:31:56Z",
  "position": 123,
  "product_id": 123,
  "q": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "variant_id": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

product_id
string
required
id
string
required

Body

application/json

Knowledge item data

a
string
required

Answer text (max 3000 chars)

Maximum string length: 3000
q
string
required

Question text (max 255 chars)

Maximum string length: 255
position
integer

Display position (0-indexed)

Response

Updated knowledge item

a
string

Answer text (max 3000 chars)

Maximum string length: 3000
id
string<uuid>

Knowledge item ID (UUIDv7)

inserted_at
string<date-time>

Creation timestamp

position
integer

Display position (0-indexed)

product_id
integer

Product ID

q
string

Question text (max 255 chars)

Maximum string length: 255
updated_at
string<date-time>

Last update timestamp

variant_id
integer | null

Variant ID (null for product-level items)